> ## Documentation Index
> Fetch the complete documentation index at: https://giftbit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve order by ID

> Retrieves the status and information about the specified order.



## OpenAPI

````yaml /api-reference/openapi.yaml get /campaign/{id}
openapi: 3.1.0
info:
  title: Giftbit API
  version: v1
  description: >
    Giftbit's REST API lets you automatically order rewards and send them to
    your

    recipients. Delivery can be handled either by links that integrate into
    another

    system's workflow, or by emails sent through the Giftbit system.


    Authenticate every request with a bearer token in the `Authorization`
    header.

    Only an HTTP `200` means success; all non-`200` responses share a common
    error body.
  contact:
    name: Giftbit Support
    email: testbed@giftbit.com
    url: https://www.giftbit.com/api-documentation
servers:
  - url: https://api-testbed.giftbit.com/papi/v1
    description: Testbed
  - url: https://api.giftbit.com/papi/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Ping
    description: Test your authentication and check the health of the Giftbit API.
  - name: Brands
    description: List reward brands and retrieve extended information about a single brand.
  - name: Regions
    description: List the regions used to filter brands and request Full Catalog rewards.
  - name: Email Orders
    description: Order one or more rewards delivered to recipients by Giftbit email.
  - name: Shortlink Orders
    description: Order branded shortlink rewards that include a customized landing page.
  - name: Direct Link Orders
    description: >-
      Order minimally branded direct link rewards returned immediately in the
      response.
  - name: Embedded Rewards
    description: >-
      Order a single in-app reward for immediate delivery in your app or
      website.
  - name: Funds
    description: Retrieve your account balance and top it up with a credit card payment.
  - name: Rewards
    description: List, retrieve, resend, and cancel individual rewards.
paths:
  /campaign/{id}:
    get:
      tags:
        - Email Orders
      summary: Retrieve order by ID
      description: Retrieves the status and information about the specified order.
      operationId: retrieve-order-by-id
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            The order id assigned by the client, or the `uuid` assigned by
            Giftbit.
          schema:
            type: string
      responses:
        '200':
          description: The order has been retrieved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  info:
                    $ref: '#/components/schemas/Info'
                  campaign:
                    $ref: '#/components/schemas/Campaign'
              example:
                info:
                  code: INFO_CAMPAIGN_RETRIEVED
                  name: Campaign Retrieved
                  message: A campaign or list of campaigns has been retrieved.
                campaign:
                  company_name: Company Name
                  message: Thanks for being such an awesome customer!
                  subject: Please enjoy this reward!
                  price_in_cents: 5000
                  brand_codes:
                    - itunesus
                  status: CAMPAIGN_CREATED
                  uuid: ee0d3f657fb640c987033e63a82e2279
                  suppress_default_greeting: false
                  delivery_type: GIFTBIT_EMAIL
                  expiry: '2017-05-01'
                  gift_template: XDKHE
                  id: clientProvidedGiftId_abc1232
components:
  schemas:
    Info:
      type: object
      description: Status information returned on successful requests.
      properties:
        code:
          type: string
          description: An enum-style status code for the request.
        name:
          type: string
          description: Human-readable status name.
        message:
          type: string
          description: Request-context-specific message.
    Campaign:
      type: object
      description: An order object.
      properties:
        company_name:
          type: string
        message:
          type: string
        subject:
          type:
            - string
            - 'null'
        contacts:
          type:
            - array
            - 'null'
          items:
            type: object
        price_in_cents:
          type: integer
        brand_codes:
          type: array
          items:
            type: string
        region:
          type: string
          description: 'Full Catalog region name. Possibilities: USA, Canada.'
        status:
          type: string
          enum:
            - API_CREATING
            - AWAITING_FUNDS
            - CAMPAIGN_CREATED
        uuid:
          type: string
        suppress_default_greeting:
          type: boolean
        delivery_type:
          type: string
          enum:
            - GIFTBIT_EMAIL
            - SHORTLINK
            - DIRECT_LINK
        expiry:
          type: string
        contacts_success_count:
          type: integer
        contacts_failure_count:
          type: integer
        link_count:
          type: integer
        fees:
          $ref: '#/components/schemas/Fees'
        gift_template:
          type: string
        id:
          type: string
    Fees:
      type: object
      description: Information about the cost of the order and any associated fees.
      properties:
        cost_entries:
          type: array
          items:
            type: object
            properties:
              percentage:
                type: number
              fee_type:
                type: string
              amount_in_cents:
                type: integer
              currency:
                type: string
              tax_type:
                type: string
              tax_in_cents:
                type:
                  - integer
                  - 'null'
              number_of_gifts:
                type: integer
              fee_per_gift_in_cents:
                type: integer
        subtotal_in_cents:
          type: integer
        tax_in_cents:
          type: integer
        tax_type:
          type: string
        total_in_cents:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Send your API token prefixed by `Bearer ` in the `Authorization` header.

````